Preview. Write the body to a file in a running sandbox, and create its parent directories. A file is at most 100 MiB.
PUT
header
AuthorizationBearer <token>Your Munito API key.
sandbox_id*stringThe id of the sandbox.
path*stringA path in the sandbox. A relative path is under /workspace.
Length
1 <= length <= 4096body*fileapplication/octet-streamFormat
binaryThe file as it is now.
application/json- response
name*stringpath*stringtype*stringValue in
"file""directory""symlink""other"size*integermode*integerThe permission bits, such as 420 for 0644.
modified_at*integerUnix seconds.
curl -X PUT 'https://api.munito.ai/sandboxes/v1/sandboxes/string/files/content?path=string' \
-H 'Content-Type: application/octet-stream' \
-d 'string'Example Response
{
"name": "string",
"path": "string",
"type": "file",
"size": 0,
"mode": 0,
"modified_at": 0
}